#!/bin/bash

pathA=/MRI_Dir/
cd $pathA
echo "${PWD}"
for SUB in `ls -d Subj_*`; do
	echo "Starting ${SUB}..."
	cd ${SUB}
    export SUBJECTS_DIR=${PWD}

    echo "SUBJECTS_DIR=${SUBJECTS_DIR}"
    
    # Calculate qcache
    tcsh -c "recon-all -s anat2 -qcache"
    
    # AD SIG LEFT HEMI
    mri_surf2surf --srcsubject fsaverage --trgsubject anat2 --hemi lh --sval-annot fsaverage/label/lh.ADSignature.annot --tval lh.ADSig.annot
    mris_anatomical_stats -a anat2/label/lh.ADSig.annot -b -f anat2/stats/lh.ADSig.stats anat2 lh 

    # AD SIG RIGHT HEMI
    mri_surf2surf --srcsubject fsaverage --trgsubject anat2 --hemi rh --sval-annot fsaverage/label/rh.ADSignature.annot --tval rh.ADSig.annot
    mris_anatomical_stats -a anat2/label/rh.ADSig.annot -b -f anat2/stats/rh.ADSig.stats anat2 rh

    cd $pathA/
done

#Calc Group Stats
source activate py2
export SUBJECTS_DIR=${PWD}

#ADSig
aparcstats2table --hemi lh --subjects Subj_1/anat2 Subj_2/anat2 --parc ADSig --meas thickness -t lh.ADSig.thick.csv

aparcstats2table --hemi rh --subjects Subj_1/anat2 Subj_2/anat2 --parc ADSig --meas thickness -t rh.ADSig.thick.csv

aparcstats2table --hemi lh --subjects Subj_1/anat2 Subj_2/anat2 --parc ADSig --meas volume -t lh.ADSig.vol.csv

aparcstats2table --hemi rh --subjects Subj_1/anat2 Subj_2/anat2 --parc ADSig --meas volume -t rh.ADSig.vol.csv